List WhatsApp numbers
GET
Every WhatsApp number of the organization, also disconnected ones, with its status, quality rating and messaging limit as Ricky last read them from Meta.
Scope: conversations:read.
bearerAuthheader
AuthorizationBearer <token>An organization API key, rky_live_…, created in Settings → API. Send it only from a server.
Success.
application/json- response
data*array<>next_cursor*|Pass as cursor for the next page; null on the last page.
curl -X GET 'https://getricky.ai/api/v1/whatsapp-numbers'{ "data": [ { "id": "8f3c2a5e-6b1d-4c7a-9e2f-1a2b3c4d5e6f", "name": "Casa Nativa", "phone_number": "+50760001234", "verified_name": "Casa Nativa", "phone_number_id": "109876543210987", "whatsapp_business_account_id": "102030405060708", "connection_mode": "dedicated", "status": "CONNECTED", "disconnected_at": null, "messaging_health": "available", "quality_rating": "green", "messaging_limit": "TIER_1K", "inbound_processing_enabled": true, "calls_enabled": true, "connected_at": "2026-10-14T15:30:00.000Z", "last_synced_at": "2026-10-14T15:30:00.000Z", "name_status": "approved", "business_profile": { "about": "Óptica en Panamá", "description": null, "address": null, "email": null, "vertical": "RETAIL", "websites": [ "https://casanativa.example" ], "profile_picture_url": null } } ], "next_cursor": "string"}